//by walker
//ian_glen_walker@hotmail.com
//14 April 2002
//wetsuit version pre beta 2

#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define CanSeeRadar 1
#define CanSeeEye 2
#define CanSeeOptics 4
#define CanSeeEar 8
#define CanSeeCompass 16 
#define CanSeeRadarC CanSeeRadar+CanSeeCompass
#define CanSeeAll 31


class CfgPatches
{
	class IGWWetSuit
	{
		units[] = {IGWWetSuit};
		weapons[] = {};
		requiredVersion = 1.20;
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};	
	class LandVehicle : Land {};
	class Car: LandVehicle {};	
	class SkodaHelper: Car {};	
	class SkodaBase: SkodaHelper {};
	class Rapid: SkodaBase {};	
	class IGWWetSuit: Rapid{

   vehicleClass="Armored";
   displayName="IGW Wet Suit";
   
   soundEngine[]={"\IGWWetSuit\IGWwetsuitswim.ogg", db+8, 1.0};//Where is the volume control
   //sound[]={"\IGWWetSuit\IGWwetsuitswim.wav",db1.db1};
   //soundContinuous=1;
   soundGetOut[]={"\IGWWetSuit\IGWgetoutofwater.ogg", db+8, 1.0};
   soundGetIn[]={"\IGWWetSuit\IGWdivein.ogg",db+8, 1.0};
   soundGear[]={};
   insideSoundCoef=0.050000;
   accuracy=1.000000;
   class Reflectors 
   {
   };
   scope=2;
   crew="SoldierWSaboteurPipe";
   picture="ipbr";
   side=1;
   cost=100000;
   hasGunner=0;
   hasCommander=0;
   driverIsCommander=1;
   driverOpticsModel="optika_night";//should do ovn optics
   optics=1;//uh dont understand
   forceOptics=1;//oh well thought this would force the optics on
   fuelCapacity=200;
   driverOpticsColor[]={0,0,0,1};//may be worth experimenting
   driverAction="ManActPBRDriver";
   maxSpeed=10;
   transportSoldier=0;
   icon="ship";//needs own icon (is this for map or section command line)
   model="\IGWWetSuit\IGWwetsuit.p3d";
   weapons[]={};
   magazines[]={};
   enableAttack=1;
   armor=1;
   canFloat=1;//Eeh stops him drowning now he is no longer a ship
   wheelCircumference=1.000000;//IIWDFI
   turnCoef=1.000000;
   terrainCoef=150.00000;//Major problem area
   damperSize=0.100000;
   damperForce=30;
   armorStructural=0.000001;
   nameSound="ship";
   simulation="car";
   unitInfoType="UnitInfoAirplane";
   class IndicatorAltBaro
   {
      selection="nm_alt";
      axis="osa_nm_alt";
      angle=0;
      min=0;
      max=0;
   };
   class IndicatorSpeed
   {
      selection="ukaz_rychlo";
      axis="osa_rychlo";
      angle=-240;
      min=0;
      max=16.670000;
   };
   class IndicatorSpeed2
   {
      selection="ukaz_rychlo2";
      axis="osa_rychlo2";
      angle=-240;
      min=0;
      max=16.670000;
   };
   class IndicatorRPM
   {
      selection="ukaz_rpm";
      axis="osa_rpm";
      angle=-340;
      min=0;
      max=1;
   };//Duh


   class HitEngine
   {
      armor=0.00001;
      material=60;
      name="engine";
      passThrough=1;
   };
   armorGlass=0.000001;
   armorBody=0.000001;
   armorFuel=0.000001;
   armorLights=0.000001;
   armorWheels=0.000001;
   dammageHalf[]={"jeep_kab_sklo1.paa","jeep_kab_sklo1B.paa"};//Do this for wounds
   dammageFull[]={"jeep_kab_sklo1.paa","jeep_kab_sklo1C.paa"};//Do this for Dead
   scudLaunch="";
   scudStart="";
   camouflage=0.170000;//Needs to be refined
   audible=0.170000;//Needs to be refined
   formationX=50;
   formationZ=100;
   precision=1;
   brakeDistance=1;
   formationTime=2;
   nightVision=1
   steerAheadSimul=0.200000;
   steerAheadPlan=0.200000;
   predictTurnSimul=0.100000;
   predictTurnPlan=0.100000;
   type=1;
   threat[]={0.200000,0.200000,0.100000};//Needs to be changed
   getInRadius=5;
   getInAction="ManActGetOutCar";
   getOutAction="ManActGetOutCar";
   class TransportWeapons
   {
	  class _w_Binocular
	  {
	     weapon="Binocular";
         count=1;
      };
   };

   class TransportMagazines
   {
   class _xx_PipeBomb
      {
         magazine="PipeBomb";
         count=3;
      };
   };
};
class IGWWetSuitE: IGWWetSuit
{
   side=0;
   displayName="IGWWetSuitE";
   crew="SoldierESaboteurPipe";
};
class IGWWetSuitG: IGWWetSuit
{
   side=2;
   displayName="IGWWetSuitG";
   crew="OfficerGNight";
};
class IGWWetSuitC: IGWWetSuit
{
   side=3;
   displayName="IGWWetSuitC";
   crew="Civilian3";
};
